Bug 117905 - Coinmarketcap api doesn't work anymore
Summary: Coinmarketcap api doesn't work anymore
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2018-05-30 15:11 UTC by spamgoeshere
Modified: 2019-06-05 02:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spamgoeshere 2018-05-30 15:11:55 UTC
Description:
=WEBSERVICE("https://api.coinmarketcap.com/v2/ticker/2185/")
This should return raw JSON data, it works in 6.0.4.2 but not in any recent versions, I belive 6.1 and up.
At the same time this api works as expected =WEBSERVICE("https://min-api.cryptocompare.com/data/top/exchanges/full?fsym=BTC&tsym=USD")


Steps to Reproduce:
1. paste =WEBSERVICE("https://api.coinmarketcap.com/v2/ticker/2185/")
2. get #VALUE! error

Actual Results:  
#VALUE!

Expected Results:
raw unformatted JSON data


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0
Comment 1 Buovjaga 2018-05-30 15:53:43 UTC
Recent regression, still works in TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-22_22:52:50

Errors in
Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: c1452e73091412ba0bb72306329e1912df2ba513
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on May 30th 2018
Comment 2 Julien Nabet 2018-05-30 17:38:27 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this on console:
(pkix_CacheCert_Add: PKIX_PL_HashTable_Add for Certs skipped: entry existed
warn:ucb.ucp.webdav:19474:19474:ucb/source/ucp/webdav-neon/NeonSession.cxx:1816: Neon returned NE_ERROR, http response status code was: 0 'Server certificate verification failed: issuer is not trusted'
Comment 3 Buovjaga 2018-05-30 17:47:48 UTC
(In reply to Julien Nabet from comment #2)
> On pc Debian x86-64 with master sources updated today, I could reproduce
> this.
> 
> I noticed this on console:
> (pkix_CacheCert_Add: PKIX_PL_HashTable_Add for Certs skipped: entry existed
> warn:ucb.ucp.webdav:19474:19474:ucb/source/ucp/webdav-neon/NeonSession.cxx:
> 1816: Neon returned NE_ERROR, http response status code was: 0 'Server
> certificate verification failed: issuer is not trusted'

Weird: why would Comodo not be trusted?
Comment 4 Xisco Faulí 2018-05-31 18:56:41 UTC
I can't reproduce it in

Version: 6.1.0.0.beta1+
Build ID: 91d8af2c5cf4e8ec0f1ce0e532e0c896de77750b
CPU threads: 16; OS: Windows 6.3; UI render: default; 
Locale: en-GB (en_GB); Calc: group threaded

is it Linux only ?
Comment 5 Buovjaga 2018-05-31 19:01:41 UTC
(In reply to Xisco Faulí from comment #4)
> I can't reproduce it in
> 
> Version: 6.1.0.0.beta1+
> Build ID: 91d8af2c5cf4e8ec0f1ce0e532e0c896de77750b
> CPU threads: 16; OS: Windows 6.3; UI render: default; 
> Locale: en-GB (en_GB); Calc: group threaded
> 
> is it Linux only ?

Ahh, you are right, I cannot reproduce with
Version: 6.2.0.0.alpha0+ (x64)
Build ID: a8f8cf72b2b9e912dc4a5aebef55d9b2c0969462
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-30_15:31:15
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 6 Xisco Faulí 2018-06-01 17:48:27 UTC
It also works with =WEBSERVICE("https://www.bitstamp.net/api/ticker_hour/")
Comment 7 Xisco Faulí 2018-06-01 17:50:05 UTC
(In reply to Buovjaga from comment #1)
> Recent regression, still works in TinderBox: Win-x86_64@42, Branch:master,
> Time: 2018-05-22_22:52:50
> 
> Errors in
> Arch Linux 64-bit
> Version: 6.2.0.0.alpha0+
> Build ID: c1452e73091412ba0bb72306329e1912df2ba513
> CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
> Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
> Built on May 30th 2018

I do reproduce it in

Version: 6.1.0.0.alpha1+
Build ID: 8fae8a6cd73b7262c3739bd4acc5c72b54934ff1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-05-22_22:32:05
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 8 Xisco Faulí 2018-06-01 17:59:11 UTC
I can also reproduce it in

Version: 6.1.0.0.alpha1+
Build ID: 8d42de21c10bfefeaffabc5c939e7830a09f7dca
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-05-24_03:38:39
Locale: en-US (en_ES.UTF-8); Calc: group

and

Version: 6.1.0.0.alpha0+
Build ID: a488c7ad2763b944713997911c1ddb0315d8c93f
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-26_00:38:29
Locale: en-US (en_ES.UTF-8); Calc: group

and

Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group

So it seems the issue is different accross platforms.

On Windows, I can't reproduce it with daily builds...
On Linux, I can reproduce it with daily builds but not with final releases...
On Mac, I can reproduce it with daily builds and final releases...

Maybe related on how the webpage handles the certificates???

@Eike, I thought you could be interested in this issue...
Comment 9 Eike Rathke 2018-06-04 12:57:48 UTC
I have no idea.

Also, I couldn't reproduce on Linux (Fedora F28) in a debug build of master/6.2, nor 6.1, nor 6.0.4; all load the webservice well.

Note:

% host api.coinmarketcap.com
api.coinmarketcap.com has address 104.17.141.178
api.coinmarketcap.com has address 104.17.138.178
api.coinmarketcap.com has address 104.17.140.178
api.coinmarketcap.com has address 104.17.139.178
api.coinmarketcap.com has address 104.17.137.178
api.coinmarketcap.com has IPv6 address 2400:cb00:2048:1::6811:89b2
api.coinmarketcap.com has IPv6 address 2400:cb00:2048:1::6811:8db2
api.coinmarketcap.com has IPv6 address 2400:cb00:2048:1::6811:8bb2
api.coinmarketcap.com has IPv6 address 2400:cb00:2048:1::6811:8cb2
api.coinmarketcap.com has IPv6 address 2400:cb00:2048:1::6811:8ab2

so it might even be it fails with one server but not another, depending on load balancing, or IPv4 vs IPv6, or whatever.
Comment 10 QA Administrators 2019-06-05 02:53:46 UTC
Dear spamgoeshere,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug